Bug 1457738 - No such file or directory - /etc/nova/migration/authorized_keys20170531-21998-1yc0ugh
Summary: No such file or directory - /etc/nova/migration/authorized_keys20170531-21998...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-puppet-elements
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 9.0 (Mitaka)
Assignee: RHOS Maint
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks: 1457132 1490942 1490951 1490953 1490954
TreeView+ depends on / blocked
 
Reported: 2017-06-01 08:35 UTC by Filip Hubík
Modified: 2020-12-14 08:49 UTC (History)
10 users (show)

Fixed In Version: openstack-tripleo-puppet-elements-2.0.0-6.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1490942 1490953 (view as bug list)
Environment:
Last Closed: 2017-06-19 14:47:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1504 0 normal SHIPPED_LIVE Important: Red Hat OpenStack Platform director security update 2017-06-19 18:45:36 UTC

Description Filip Hubík 2017-06-01 08:35:45 UTC
Description of problem:
Error: /Stage[main]/Main/File[/etc/nova/migration/authorized_keys]/ensure: change from absent to file failed: Could not set 'file' on ensure: No such file or directory - /etc/nova/migration/authorized_keys20170531-21998-1yc0ugh at 153:/var/lib/heat-config/heat-config-puppet/ba16237c-1121-4286-b943-83319afcab0b.pp

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates.noarch 0:2.0.0-57.el7ost

How reproducible:
100%

Steps to Reproduce:
1. Deploy OSPd9 with topology: 1 undercloud, 1 controller, 1 compute, 1 ceph

Actual results:
22:25:07   deploy_stdout: |
22:25:07     ...
22:25:07     Notice: /Stage[main]/Ssh::Server::Config/Concat[/etc/ssh/sshd_config]/File[/etc/ssh/sshd_config]/content: content changed '{md5}e7f0ef60bc1689c6ff39a399b150c3d2' to '{md5}49290691a46f7b96d770ebec63457e22'
22:25:07     Notice: /Stage[main]/Ssh::Server::Service/Service[sshd]: Triggered 'refresh' from 4 events
22:25:07     Notice: /Stage[main]/Timezone/File[/etc/localtime]/target: target changed '../usr/share/zoneinfo/America/New_York' to '/usr/share/zoneinfo/UTC'
22:25:07     Notice: /File[/etc/localtime]/seluser: seluser changed 'unconfined_u' to 'system_u'
22:25:07     Notice: /Stage[main]/Nova::Deps/Anchor[nova::config::end]: Triggered 'refresh' from 73 events
22:25:07     Notice: /Stage[main]/Nova::Deps/Anchor[nova::service::begin]: Triggered 'refresh' from 1 events
22:25:07     Notice: /Stage[main]/Nova::Compute/Nova::Generic_service[compute]/Service[nova-compute]/ensure: ensure changed 'stopped' to 'running'
22:25:07     Notice: /Stage[main]/Nova::Deps/Anchor[nova::service::end]: Triggered 'refresh' from 1 events
22:25:07     Notice: /Stage[main]/Ceilometer::Agent::Compute/Service[ceilometer-agent-compute]/ensure: ensure changed 'stopped' to 'running'
22:25:07     Notice: Finished catalog run in 465.99 seconds
22:25:07     (truncated, view all with --long)
22:25:07   deploy_stderr: |
22:25:07     ...
22:25:07     Error: Could not set 'file' on ensure: No such file or directory - /etc/nova/migration/authorized_keys20170531-21998-1yc0ugh at 153:/var/lib/heat-config/heat-config-puppet/ba16237c-1121-4286-b943-83319afcab0b.pp
22:25:07     Error: Could not set 'file' on ensure: No such file or directory - /etc/nova/migration/authorized_keys20170531-21998-1yc0ugh at 153:/var/lib/heat-config/heat-config-puppet/ba16237c-1121-4286-b943-83319afcab0b.pp
22:25:07     Wrapped exception:
22:25:07     No such file or directory - /etc/nova/migration/authorized_keys20170531-21998-1yc0ugh
22:25:07     Error: /Stage[main]/Main/File[/etc/nova/migration/authorized_keys]/ensure: change from absent to file failed: Could not set 'file' on ensure: No such file or directory - /etc/nova/migration/authorized_keys20170531-21998-1yc0ugh at 153:/var/lib/heat-config/heat-config-puppet/ba16237c-1121-4286-b943-83319afcab0b.pp
22:25:07     Error: Could not set 'file' on ensure: No such file or directory - /etc/nova/migration/identity20170531-21998-llb912 at 161:/var/lib/heat-config/heat-config-puppet/ba16237c-1121-4286-b943-83319afcab0b.pp
22:25:07     Error: Could not set 'file' on ensure: No such file or directory - /etc/nova/migration/identity20170531-21998-llb912 at 161:/var/lib/heat-config/heat-config-puppet/ba16237c-1121-4286-b943-83319afcab0b.pp
22:25:07     Wrapped exception:
22:25:07     No such file or directory - /etc/nova/migration/identity20170531-21998-llb912
22:25:07     Error: /Stage[main]/Main/File[/etc/nova/migration/identity]/ensure: change from absent to file failed: Could not set 'file' on ensure: No such file or directory - /etc/nova/migration/identity20170531-21998-llb912 at 161:/var/lib/heat-config/heat-config-puppet/ba16237c-1121-4286-b943-83319afcab0b.pp
22:25:07     (truncated, view all with --long)
22:25:07   deploy_status_code: 6
22:25:07 openstack software deployment show 11c712e7-3aef-433e-b9ad-4d4d58e82c47

# overcloud deployment failed

Expected results:
Deployment passed

Comment 3 Gurenko Alex 2017-06-04 10:01:06 UTC
Deployment succeeds for build 2017-05-31.1

[stack@undercloud-0 ~]$ rpm -q openstack-tripleo-puppet-elements
openstack-tripleo-puppet-elements-2.0.0-6.el7ost.noarch

Comment 5 errata-xmlrpc 2017-06-19 14:47:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1504


Note You need to log in before you can comment on or make changes to this bug.